/*	PF -- printer filter

Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000 Ogochan .

This module is part of PF.

	PF is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
to anyone for the consequences of using it or for whether it serves
any particular purpose or works at all, unless he says so in writing.
Refer to the GNU General Public License for full details. 

	Everyone is granted permission to copy, modify and redistribute
MACE, but only under the conditions described in the GNU General
Public License.  A copy of this license is supposed to have been given
to you along with PF so you can know your rights and
responsibilities.  It should be in a file named COPYING.  Among other
things, the copyright notice and this notice must be preserved on all
copies. 
*/

#include	<stdio.h>
#include	"types.h"
#include	"pf.h"

extern	Bool
PrintChar(
	int		ch)
{
	return	( (  putchar((char)ch)  ==  EOF  ) ? FALSE : TRUE );
}

extern	Bool
PrintString(
	char	*str)
{	int		rc;

	rc = 0; 
	while	(  *str  !=  '\0'  )	{
		if		(  !( rc = PrintChar(*str) )  )	break;
		str ++;
	}
	return	(rc);
}

#if	0
static	int		chBack = -1;
extern	void
UnGetChar(
	int		c)
{
	chBack = c;
}

extern	int
GetChar(
	FILE	*fp)
{	int		ret;
	
	if		(  chBack  <  0  )	{
		ret = fgetc(fp);
	} else {
		ret = chBack;
		chBack = -1;
	}
	return	(ret);
}
#endif

